## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NamespacesHandler::NamespaceExtended Class Reference

Inheritance diagram for NamespacesHandler::NamespaceExtended:

[legend]
Collaboration diagram for NamespacesHandler::NamespaceExtended:

[legend]
List of all members.

## Public Member Functions

- NamespaceExtended ()
- NamespaceExtended (const XalanDOMString &prefix, const XalanDOMString &uri)
- const XalanDOMString & getResultAttributeName () const
    Retrieve the name of the result attribute.
- void setResultAttributeName (const XalanDOMString &name)
    Set the name of the result attribute.

## Constructor & Destructor Documentation

NamespacesHandler::NamespaceExtended::NamespaceExtended | ( |  | ) |

NamespacesHandler::NamespaceExtended::NamespaceExtended | ( | const XalanDOMString & | prefix,
|  | const XalanDOMString & | uri
| ) |

## Member Function Documentation

const XalanDOMString& NamespacesHandler::NamespaceExtended::getResultAttributeName | ( |  | ) | const

| Retrieve the name of the result attribute. Returns: name string

void NamespacesHandler::NamespaceExtended::setResultAttributeName | ( | const XalanDOMString & | name | ) |

  | Set the name of the result attribute. Parameters:
  name | The new name value

The documentation for this class was generated from the following file:

- NamespacesHandler.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.